diff -c ../zip19i/zip.c ./zip.c
*** ../zip19i/zip.c	Tue Nov  3 21:07:56 1992
--- ./zip.c	Fri Sep 10 03:16:44 1993
***************
*** 796,802 ****
        {
          if (noisy)
          {
!           fprintf(mesg, "updating %s", z->zname);
            fflush(mesg);
          }
          if ((r = zipup(z, y)) != ZE_OK && r != ZE_OPEN)
--- 916,922 ----
        {
          if (noisy)
          {
!           fprintf(mesg, "updating: %s", z->zname);
            fflush(mesg);
          }
          if ((r = zipup(z, y)) != ZE_OK && r != ZE_OPEN)
***************
*** 833,839 ****
        {
          if (noisy)
          {
!           fprintf(mesg, "deleting %s\n", z->zname);
            fflush(mesg);
          }
          v = z->nxt;                     /* delete entry from list */
--- 953,959 ----
        {
          if (noisy)
          {
!           fprintf(mesg, "deleting: %s\n", z->zname);
            fflush(mesg);
          }
          v = z->nxt;                     /* delete entry from list */
***************
*** 880,886 ****
      /* zip it up */
      if (noisy)
      {
!       fprintf(mesg, "adding %s", z->zname);
        fflush(mesg);
      }
      if ((r = zipup(z, y)) != ZE_OK  && r != ZE_OPEN)
--- 1000,1006 ----
      /* zip it up */
      if (noisy)
      {
!       fprintf(mesg, "  adding: %s", z->zname);
        fflush(mesg);
      }
      if ((r = zipup(z, y)) != ZE_OK  && r != ZE_OPEN)
***************
*** 924,929 ****
--- 1044,1052 ----
    /* Get one line comment for each new entry */
    if (comadd)
    {
+     if (comment_stream == NULL) {
+       comment_stream = fdopen(fileno(stderr), "r");
+     }
      if ((e = malloc(MAXCOM + 1)) == NULL)
        err(ZE_MEM, "was reading comment lines");
      for (z = zfiles; z != NULL; z = z->nxt)
***************
*** 931,940 ****
        {
          if (noisy)
            fprintf(mesg, "Enter comment for %s:\n", z->name);
!         /* ??? reopen /dev/tty if one file was zipped from stdin
!          * or if file names were read from stdin.
!          */
!         if (fgets(e, MAXCOM+1, stdin) != NULL)
          {
            if ((p = malloc((k = strlen(e))+1)) == NULL)
            {
--- 1054,1060 ----
        {
          if (noisy)
            fprintf(mesg, "Enter comment for %s:\n", z->name);
!         if (fgets(e, MAXCOM+1, comment_stream) != NULL)
          {
            if ((p = malloc((k = strlen(e))+1)) == NULL)
            {
***************
*** 954,959 ****
--- 1074,1082 ----
    /* Get multi-line comment for the zip file */
    if (zipedit)
    {
+     if (comment_stream == NULL) {
+       comment_stream = fdopen(fileno(stderr), "r");
+     }
      if ((e = malloc(MAXCOM + 1)) == NULL)
        err(ZE_MEM, "was reading comment lines");
      if (noisy && zcomlen)
***************
*** 968,977 ****
      *zcomment = 0;
      if (noisy)
        fputs("enter new zip file comment (end with .):\n", mesg);
!      /* ??? reopen /dev/tty if one file was zipped from stdin
!       * or if file names were read from stdin.
!       */
!     while (fgets(e, MAXCOM+1, stdin) != NULL && strcmp(e, ".\n"))
      {
        if (e[(r = strlen(e)) - 1] == '\n')
          e[--r] = 0;
--- 1091,1100 ----
      *zcomment = 0;
      if (noisy)
        fputs("enter new zip file comment (end with .):\n", mesg);
! #if (defined(AMIGA) && (defined(LATTICE)||defined(__SASC)))
!       flushall();  /* tty input/output is out of sync here */
! #endif
!     while (fgets(e, MAXCOM+1, comment_stream) != NULL && strcmp(e, ".\n"))
      {
        if (e[(r = strlen(e)) - 1] == '\n')
          e[--r] = 0;
***************
*** 1021,1026 ****
--- 1144,1152 ----
    if (x != NULL)
      fclose(x);
  
+   /* Free some memory before spawning unzip */
+   lm_free();
+ 
    /* Test new zip file before overwriting old one or removing input files */
    if (test) {
      check_zipfile(tempzip);
***************
*** 1039,1045 ****
      free((voidp *)tempzip);
    }
    tempzip = NULL;
!   if (strcmp(zipfile, "-")) {
      setfileattr(zipfile, a);
  #ifdef VMS
      /* If the zip file existed previously, restore its record format: */
--- 1165,1171 ----
      free((voidp *)tempzip);
    }
    tempzip = NULL;
!   if (a && strcmp(zipfile, "-")) {
      setfileattr(zipfile, a);
  #ifdef VMS
      /* If the zip file existed previously, restore its record format: */
***************
*** 1050,1055 ****
--- 1176,1182 ----
  
    /* Finish up (process -o, -m, clean up).  Exit code depends on o. */
    leave(o ? ZE_OPEN : ZE_OK);
+   return 0; /* just to avoid compiler warning */
  }
  
  /*****************************************************************
Only in .: zip.diff
diff -c ../zip19i/zip.doc ./zip.doc
*** ../zip19i/zip.doc	Tue Nov  3 21:07:57 1992
--- ./zip.doc	Mon Sep  6 03:45:08 1993
***************
*** 1,13 ****
- 
- ZIP(1L)           MISC. REFERENCE MANUAL PAGES            ZIP(1L)
- 
  NAME
       zip, zipcloak, zipnote,  zipsplit  -  package  and  compress
       (archive) files
  
  SYNOPSIS
!      zip   [-cdeEfghijklLmoqrTuwyz@]   [-b path]    [-n suffixes]
!      [-t mmddyy] [-x list] [ zipfile [ file1 file2 ...]]
  
       zipcloak [-dhL] [-b path] zipfile
  
--- 1,10 ----
  NAME
       zip, zipcloak, zipnote,  zipsplit  -  package  and  compress
       (archive) files
  
  SYNOPSIS
!      zip [-cdDeEfFghjklLmoqrSTuvVwyz@$]  [-b path]  [-n suffixes]
!      [-t mmddyy] [ zipfile [ file1 file2 ...]] [-xi list]
  
       zipcloak [-dhL] [-b path] zipfile
  
***************
*** 25,34 ****
       A companion program (unzip(1L)), unpacks zip archives.   The
       zip  and  unzip(1L) programs can work with archives produced
       by PKZIP, and PKZIP and PKUNZIP can work with archives  pro-
!      duced  by  zip.   zip  version  1.9 is compatible with PKZIP
!      1.93a.  Note that PKUNZIP 1.10 cannot extract files produced
!      by  PKZIP  1.93a  or  zip 1.9. You must use PKUNZIP 1.93a or
!      unzip 5.0 (or later versions) to extract them.
  
       For a brief help on zip and unzip, run each without specify-
       ing any parameters on the command line.
--- 22,31 ----
       A companion program (unzip(1L)), unpacks zip archives.   The
       zip  and  unzip(1L) programs can work with archives produced
       by PKZIP, and PKZIP and PKUNZIP can work with archives  pro-
!      duced by zip.  zip version 2.0 is compatible with PKZIP 2.04
!      Note that PKUNZIP 1.10  cannot  extract  files  produced  by
!      PKZIP  2.04  or zip 2.0. You must use PKUNZIP 2.04g or unzip
!      5.0p1 (or later versions) to extract them.
  
       For a brief help on zip and unzip, run each without specify-
       ing any parameters on the command line.
***************
*** 106,113 ****
            tar cf - . | zip - - | dd of=/dev/nrst0 obs=16k
  
       zip archives created in this manner can  be  extracted  with
!      the  program  funzip which is provided in the unzip package.
!      For example:
  
       dd if=/dev/nrst0  ibs=16k | funzip | tar xvf -
  
--- 103,111 ----
            tar cf - . | zip - - | dd of=/dev/nrst0 obs=16k
  
       zip archives created in this manner can  be  extracted  with
!      the  program  funzip which is provided in the unzip package,
!      or by gunzip which is provided  in  the  gzip  package.  For
!      example:
  
       dd if=/dev/nrst0  ibs=16k | funzip | tar xvf -
  
***************
*** 116,121 ****
--- 114,124 ----
       one when the process of creating the new  version  has  been
       completed without error.
  
+      If the name of the zip archive does not  contain  an  exten-
+      sion,  the extension .zip is added. If the name already con-
+      tains an extension other than .zip the existing extension is
+      kept unchanged.
+ 
  OPTIONS
       -b path
            Use the specified path for the temporary  zip  archive.
***************
*** 154,159 ****
--- 157,175 ----
            entered in upper case if they were zipped by  PKZIP  on
            an MSDOS system.
  
+      -D   Do not create entries in the  zip  archive  for  direc-
+           tories.   Directory  entries  are created by default so
+           that their attributes can be saved in the zip  archive.
+           The  environment  variable ZIPOPT can be used to change
+           the default options. For example under Unix with sh:
+ 
+                ZIPOPT="-D"; export ZIPOPT
+ 
+           (The variable ZIPOPT can be used for any option  except
+           -i  and -x and can include several options.) The option
+           -D is a shorthand for -x "*/" but the latter cannot  be
+           set as default in the ZIPOPT environment variable.
+ 
       -e   Encrypt the contents of the zip archive using  a  pass-
            word  which is entered on the terminal in response to a
            prompt (this will not be echoed; if standard  error  is
***************
*** 175,180 ****
--- 191,216 ----
            which  the  original  zip  command was run, since paths
            stored in zip archives are always relative.
  
+      -F   Fix the zip archive. This option can be  used  if  some
+           portions   of  the  archive  are  missing.  It  is  not
+           guaranteed to work, so you MUST make a  backup  of  the
+           original archive first.
+ 
+           When doubled as  in  -FF  the  compressed  sizes  given
+           inside  the  damaged  archive  are  not trusted and zip
+           scans for special signatures  to  identify  the  limits
+           between  the  archive  members.  The  single -F is more
+           reliable if the archive is not too  much  damaged,  for
+           example  if  it  has  only  been truncated, so try this
+           option first.
+ 
+           Neither option will recover  archives  that  have  been
+           incorrectly   transferred  in  ascii  mode  instead  of
+           binary. After the repair, the -t option  of  unzip  may
+           show  that some files have a bad CRC. Such files cannot
+           be recovered; you can  remove  them  from  the  archive
+           using the -d option of zip.
+ 
       -g   Grow (append to) the specified zip archive, instead  of
            creating  a  new  one.  If  this  operation  fails, zip
            attempts to restore the archive to its original  state.
***************
*** 184,198 ****
       -h   Display the zip help information (this also appears  if
            zip is run with no arguments).
  
!      -j   Store just the name of a saved file (junk the path). By
!           default,  zip will store the full path (relative to the
!           current path).
  
       -k   Attempt to convert the names and paths  to  conform  to
            MSDOS,  store  only  the MSDOS attribute (just the user
            write attribute from UNIX), and mark the entry as  made
            under MSDOS (even though it was not); for compatibility
!           with PKUNZIP under MSDOS.
  
       -l   Translate the Unix end-of-line character  LF  into  the
            MSDOS  convention CR LF. This option should not be used
--- 220,251 ----
       -h   Display the zip help information (this also appears  if
            zip is run with no arguments).
  
!      -i files
!           Include only the specified files, as in:
! 
!                zip -r foo . -i \*.c
! 
!           which will include only the files that end in .c in the
!           current  directory  and  its  subdirectories. (Note for
!           PKZIP users: the equivalent command is
  
+                pkzip -r foo *.c
+ 
+           PKZIP does not allow  recursion  in  directories  other
+           than  the  current one.) The backslash avoids the shell
+           filename substitution, so that  the  name  matching  is
+           performed by zip at all directory levels.
+ 
+      -j   Store just the name of a saved file  (junk  the  path),
+           and  do not store directory names. By default, zip will
+           store the full path (relative to the current path).
+ 
       -k   Attempt to convert the names and paths  to  conform  to
            MSDOS,  store  only  the MSDOS attribute (just the user
            write attribute from UNIX), and mark the entry as  made
            under MSDOS (even though it was not); for compatibility
!           with PKUNZIP under MSDOS which  cannot  handle  certain
!           names such as those with two dots.
  
       -l   Translate the Unix end-of-line character  LF  into  the
            MSDOS  convention CR LF. This option should not be used
***************
*** 216,223 ****
            becomes empty after removal of the files, the directory
            is also removed. No deletions are done  until  zip  has
            created  the archive without error.  This is useful for
!           conserving disk space, but is potentially dangerous and
!           should be used with care.
  
       -n suffixes
            Do not attempt to compress files named with  the  given
--- 269,277 ----
            becomes empty after removal of the files, the directory
            is also removed. No deletions are done  until  zip  has
            created  the archive without error.  This is useful for
!           conserving disk space, but is potentially dangerous  so
!           it  is  recommended to use it in combination with -T to
!           test the archive before removing all input files.
  
       -n suffixes
            Do not attempt to compress files named with  the  given
***************
*** 225,231 ****
            in the output zip file, so that zip doesn't  waste  its
            time   trying  to  compress  them.   The  suffixes  are
            separated by either colons or semicolons.  For example:
-           For example,
  
                 zip -rn .Z:.zip:.tiff:.gif:.snd  foo foo
  
--- 279,284 ----
***************
*** 241,249 ****
  
                 setenv ZIPOPT "-n .gif:.zip"
  
!           (The variable ZIPOPT can be used for any option and can
!           include several options.) To attempt compression on all
!           files, use:
  
                 zip -n : foo
  
--- 294,300 ----
  
                 setenv ZIPOPT "-n .gif:.zip"
  
!           To attempt compression on all files, use:
  
                 zip -n : foo
  
***************
*** 261,267 ****
            latest time of the entries in foo.zip.
  
       -q   Quiet mode; eliminate informational messages  and  com-
!           ment  prompts.   (useful, for example, in shell scripts
            and background tasks).
  
       -r   Travel the directory structure recursively;  for  exam-
--- 312,318 ----
            latest time of the entries in foo.zip.
  
       -q   Quiet mode; eliminate informational messages  and  com-
!           ment  prompts.   (Useful, for example, in shell scripts
            and background tasks).
  
       -r   Travel the directory structure recursively;  for  exam-
***************
*** 271,282 ****
  
            In this case, all the files and directories in foo  are
            saved  in  a zip archive named foo.zip, including files
!           with named starting with ".", since the recursion  does
            not  use  the shell's file-name substitution mechanism.
!           You should not use -r with the name  ".*",  since  that
!           matches  ".."  which  will attempt to zip up the parent
!           directory (probably not what was intended).
  
       -t mmddyy
            Do not operate on files modified prior to the specified
            date,  where  mm  is the month (0-12), dd is the day of
--- 322,339 ----
  
            In this case, all the files and directories in foo  are
            saved  in  a zip archive named foo.zip, including files
!           with names starting with ".", since the recursion  does
            not  use  the shell's file-name substitution mechanism.
!           If you wish to include only a specific  subset  of  the
!           files  in directory foo and its subdirectories, use the
!           -i option to the specify the pattern  of  files  to  be
!           included.   You  should  not use -r with the name ".*",
!           since that matches ".." which will attempt  to  zip  up
!           the parent directory (probably not what was intended).
  
+      -S   Include system and hidden files. This option is  effec-
+           tive on some systems only; it is ignored on Unix.
+ 
       -t mmddyy
            Do not operate on files modified prior to the specified
            date,  where  mm  is the month (0-12), dd is the day of
***************
*** 308,313 ****
--- 365,377 ----
            Note that the -u option with no arguments acts like the
            -f (freshen) option.
  
+      -v   Verbose  mode.  Display  a  progress  indicator  during
+           compression.
+ 
+      -V   Save VMS file attributes. This option is  available  on
+           VMS  only;  zip  archives created with this option will
+           generally not be usable on other systems.
+ 
       -w   Append the version number of the  files  to  the  name,
            including  multiple  versions  of  files.   (VMS  only;
            default: use only the most recent version of  a  speci-
***************
*** 320,327 ****
  
            which will include the contents of foo in foo.zip while
            excluding  all the files that end in .o.  The backslash
!           causes zip to match file names that were found when foo
!           was searched.
  
       -y   Store symbolic  links  as  such  in  the  zip  archive,
            instead of compressing and storing the file referred to
--- 384,392 ----
  
            which will include the contents of foo in foo.zip while
            excluding  all the files that end in .o.  The backslash
!           avoids the shell filename  substitution,  so  that  the
!           name matching is performed by zip at all directory lev-
!           els.
  
       -y   Store symbolic  links  as  such  in  the  zip  archive,
            instead of compressing and storing the file referred to
***************
*** 340,349 ****
            files), -1 indicates  the  fastest  compression  method
            (less   compression)   and  -9  indicates  the  slowest
            compression method (optimal  compression,  ignores  the
!           suffix list). The default compression level is -5.
  
       -@   Take the list of input files from standard input.
  
  EXAMPLES
       The simplest example:
  
--- 405,424 ----
            files), -1 indicates  the  fastest  compression  method
            (less   compression)   and  -9  indicates  the  slowest
            compression method (optimal  compression,  ignores  the
!           suffix list). The default compression level is -6.
  
       -@   Take the list of input files from standard input.
  
+      -$   Include the volume label for the the drive holding  the
+           first  file  to  be compressed.  If you want to include
+           only the volume label or to force a specific drive, use
+           the drive name as first file name, as in:
+ 
+                zip -$ foo a: c:bar
+ 
+           This option is effective on some  systems  only  (MSDOS
+           and OS/2); it is ignored on Unix.
+ 
  EXAMPLES
       The simplest example:
  
***************
*** 414,431 ****
  
       The zip program can do the same matching on names  that  are
       in  the zip archive being modified or, in the case of the -x
!      (exclude) option, on the list of files to be operated on, by
!      using  backslashes or quotes to tell the shell not to do the
!      name expansion.  In general, when zip encounters a  name  in
!      the  list of files to do, it first looks for the name in the
!      file system.  If it finds it, it then adds it to the list of
!      files  to do.  If it does not find it, it looks for the name
!      in the zip archive being modified (if it exists), using  the
!      pattern  matching  characters  described  above, if present.
!      For each match, it will add that name to the list  of  files
!      to  be  processed.   File  names  following the -x (exclude)
!      option are removed from the processing list instead of being
!      added.
  
       The pattern matching includes the path, and so patterns like
       \*.o  match  names that end in ".o", no matter what the path
--- 489,506 ----
  
       The zip program can do the same matching on names  that  are
       in  the zip archive being modified or, in the case of the -x
!      (exclude) or -i (include) options, on the list of  files  to
!      be  operated  on, by using backslashes or quotes to tell the
!      shell not to do the name expansion.  In  general,  when  zip
!      encounters a name in the list of files to do, it first looks
!      for the name in the file system.  If it finds  it,  it  then
!      adds it to the list of files to do.  If it does not find it,
!      it looks for the name in the zip archive being modified  (if
!      it  exists), using the pattern matching characters described
!      above, if present.  For each match, it will add that name to
!      the  list of files to be processed, unless this name matches
!      one given with the -x option, or does  not  match  any  name
!      given with the -i option.
  
       The pattern matching includes the path, and so patterns like
       \*.o  match  names that end in ".o", no matter what the path
***************
*** 436,471 ****
       In general, use backslash to make zip do the pattern  match-
       ing with the -f (freshen) and -d (delete) options, and some-
       times after the  -x  (exclude)  option  when  used  with  an
!      appropriate operation (add, -u, -f, or -d).  The zip program
!      will never use pattern matching to search the  file  system.
!      If  it has recursively travelled a directory, all files (and
!      all directories) found there are fair game.
  
  SEE ALSO
!      compress(1), shar(1L), tar(1), unzip(1L)
  
  BUGS
!      zip 1.9 is not compatible with PKUNZIP 1.10. Use zip 1.1  to
       produce zip files which can be extracted by PKUNZIP 1.10.
  
!      zip files produced by zip 1.9 must not be updated by zip 1.1
!      or  PKZIP  1.10  or  PKZIP  1.93a, if they contain encrypted
!      members, or if they have been produced in a pipe or on a non
!      seekable  device.  The  old  versions  of zip or PKZIP would
!      create an archive with an incorrect format.   The  old  ver-
!      sions  can  list  the  contents  of  the zip file but cannot
!      extract it anyway (because  of  the  new  compression  algo-
!      rithm).   If  you do not use encryption and use regular disk
!      files, you do not have to care about this problem.
! 
!      zip 1.9 is compatible with  PKZIP  1.93a,  except  when  two
!      features  are used: encryption or zip file created in a pipe
!      or on a non seekable device. PKZIP versions above  2.0  will
!      support such files, and unzip 5.0 already supports them.
! 
!      Without -y when zip must compress a symbolic link to an  non
!      existing   file,  it  only  displays  a  warning  "name  not
!      matched". A better warning should be given.
  
       Under VMS, not all of the odd file formats are treated prop-
       erly.   Only stream-LF format zip files are expected to work
--- 511,534 ----
       In general, use backslash to make zip do the pattern  match-
       ing with the -f (freshen) and -d (delete) options, and some-
       times after the  -x  (exclude)  option  when  used  with  an
!      appropriate operation (add, -u, -f, or -d).
  
  SEE ALSO
!      compress(1), shar(1L), tar(1), unzip(1L), gzip(1L)
  
  BUGS
!      zip 2.0 is not compatible with PKUNZIP 1.10. Use zip 1.1  to
       produce zip files which can be extracted by PKUNZIP 1.10.
  
!      zip files produced by zip 2.0 must not be updated by zip 1.1
!      or PKZIP 1.10, if they contain encrypted members, or if they
!      have been produced in a pipe or on a  non  seekable  device.
!      The  old  versions  of  zip or PKZIP would create an archive
!      with an incorrect format.  The old  versions  can  list  the
!      contents  of  the  zip  file  but  cannot  extract it anyway
!      (because of the new compression algorithm).  If you  do  not
!      use  encryption  and use regular disk files, you do not have
!      to care about this problem.
  
       Under VMS, not all of the odd file formats are treated prop-
       erly.   Only stream-LF format zip files are expected to work
***************
*** 480,485 ****
--- 543,554 ----
       Under VMS, zip hangs for file specification that uses DECnet
       syntax foo::*.*.
  
+      On OS/2, zip cannot match some names, such as those  includ-
+      ing  an  exclamation  mark or a hash sign.  This is a bug in
+      OS/2 itself: the 32-bit DosFindFirst/Next  don't  find  such
+      names.   Other programs such as GNU tar are also affected by
+      this bug.
+ 
       Under OS/2, the amount of External Attributes  displayed  by
       DIR is (for compatibility) the amount returned by the 16-bit
       version of DosQueryPathInfo(). Otherwise OS/2  1.3  and  2.0
***************
*** 495,505 ****
       this one shows the 32-bit-mode size.
  
  AUTHORS
!      Copyright (C) 1990-1992 Mark Adler, Richard B. Wales,  Jean-
!      loup  Gailly, Kai Uwe Rommel and Igor Mandrichenko.  Permis-
!      sion is granted to any individual  or  institution  to  use,
!      copy,  or  redistribute  this software so long as all of the
!      original files are included unmodified, that it is not  sold
       for profit, and that this copyright notice is retained.
  
       LIKE ANYTHING ELSE THAT'S FREE, ZIP AND ITS ASSOCIATED UTIL-
--- 564,574 ----
       this one shows the 32-bit-mode size.
  
  AUTHORS
!      Copyright (C) 1990-1993 Mark Adler, Richard B. Wales,  Jean-
!      loup  Gailly,  Kai  Uwe  Rommel,  Igor Mandrichenko and John
!      Bush.  Permission is granted to any individual  or  institu-
!      tion  to use, copy, or redistribute this software so long as
!      all of the original files are included, that it is not  sold
       for profit, and that this copyright notice is retained.
  
       LIKE ANYTHING ELSE THAT'S FREE, ZIP AND ITS ASSOCIATED UTIL-
***************
*** 508,514 ****
       COPYRIGHT  HOLDERS  BE LIABLE FOR ANY DAMAGES RESULTING FROM
       THE USE OF THIS SOFTWARE.
  
!      Please    send    bug    reports    and     comments     to:
       zip-bugs@wkuvx1.bitnet.  For bug reports, please include the
       version of zip, the make options used  to  compile  it,  the
       machine  and operating system in use, and as much additional
--- 577,583 ----
       COPYRIGHT  HOLDERS  BE LIABLE FOR ANY DAMAGES RESULTING FROM
       THE USE OF THIS SOFTWARE.
  
!      Please  send  bug  reports  and  comments   by   email   to:
       zip-bugs@wkuvx1.bitnet.  For bug reports, please include the
       version of zip, the make options used  to  compile  it,  the
       machine  and operating system in use, and as much additional
***************
*** 521,532 ****
       the  zip  file format, compression format, and .ZIP filename
       extension, and for accepting minor changes to the file  for-
       mat; to Steve Burg for clarifications on the deflate format;
!      to  Keith  Petersen,  Rich  Wales  and  Hunter  Goatley  for
!      providing a mailing list and ftp site for the INFO-ZIP group
!      to use; and most importantly, to the INFO-ZIP  group  itself
!      (listed  in  the  file  infozip.who)  without whose tireless
!      testing and bug-fixing efforts a portable zip would not have
!      been  possible.   Finally  we should thank (blame) the first
!      INFO-ZIP moderator, David Kirschbaum, for  getting  us  into
!      this mess in the first place.  The manual page was rewritten
!      for UNIX by R. P. C. Rodgers.
--- 590,603 ----
       the  zip  file format, compression format, and .ZIP filename
       extension, and for accepting minor changes to the file  for-
       mat; to Steve Burg for clarifications on the deflate format;
!      to Haruhiko Okumura and Leonid Broukhis for  providing  some
!      useful  ideas for the compression algorithm; to Keith Peter-
!      sen, Rich Wales, Hunter Goatley and Mark Adler for providing
!      a  mailing  list and ftp site for the INFO-ZIP group to use;
!      and most importantly, to the INFO-ZIP group  itself  (listed
!      in  the file infozip.who) without whose tireless testing and
!      bug-fixing efforts a portable zip would not have been possi-
!      ble.   Finally  we  should  thank (blame) the first INFO-ZIP
!      moderator, David Kirschbaum, for getting us into  this  mess
!      in  the first place.  The manual page was rewritten for UNIX
!      by R. P. C. Rodgers.
